package com.op.wms.mapper;

import java.util.List;

import com.op.wms.domain.BaseSupplier;

/**
 * 供应商管理Mapper接口
 * 
 * @author Open Platform
 * @date 2023-07-18
 */
public interface BaseSupplierMapper {
	/**
	 * 查询供应商管理
	 * 
	 * @param supplierId 供应商管理主键
	 * @return 供应商管理
	 */
	public BaseSupplier selectBaseSupplierBySupplierId(String supplierId);

	/**
	 * 查询供应商管理列表
	 * 
	 * @param baseSupplier 供应商管理
	 * @return 供应商管理集合
	 */
	public List<BaseSupplier> selectBaseSupplierList(BaseSupplier baseSupplier);

	/**
	 * 新增供应商管理
	 * 
	 * @param baseSupplier 供应商管理
	 * @return 结果
	 */
	public int insertBaseSupplier(BaseSupplier baseSupplier);

	/**
	 * 修改供应商管理
	 * 
	 * @param baseSupplier 供应商管理
	 * @return 结果
	 */
	public int updateBaseSupplier(BaseSupplier baseSupplier);

	/**
	 * 删除供应商管理
	 * 
	 * @param supplierId 供应商管理主键
	 * @return 结果
	 */
	public int deleteBaseSupplierBySupplierId(String supplierId);

	/**
	 * 批量删除供应商管理
	 * 
	 * @param supplierIds 需要删除的数据主键集合
	 * @return 结果
	 */
	public int deleteBaseSupplierBySupplierIds(String[] supplierIds);
}
